Live 9 is not compatible with macOS 10.15 Catalina

  • Live Versions: 9
  • Operating system: macOS 10.15

Live 9 contains certain components which are not supported on macOS 10.15 Catalina. High Sierra is the last officially supported macOS version for Live 9.

We strongly advise not updating to macOS 10.15 Catalina if you wish to continue using Live 9. We will not be releasing any further updates for Live 9. Another option is to dual-boot your Mac, so you can run two different versions of macOS; see this third party article from Macworld for instructions.

If you already updated your operating system, we recommend that you roll-back to your previous operating system to keep using Live 9.